Subject: Re: [PATCH] [TCP] Sysctl: document tcp_max_ssthresh (Limited Slow-Start)

From: John Heffner <[email-masked]>
Date: Fri, 18 May 2007 16:49:08 -0400

Rick Jones wrote:
> as an asside, "tcp_max_ssthresh" sounds like the maximum value ssthresh 
> can take-on.  is that correct, or is this more of a "once ssthresh is 
> above this, behave in this new way?"  If that is the case, while the 

I don't like it either, but you'll have to talk to Sally Floyd about 
that one.. ;)

In general, I would like the documentation to emphasize more how to set 
the parameter than describe the algorithm.  The max_ssthresh parameter 
should ideally be set to the bottleneck queue size, or more 
realistically a conservative value that's likely to be smaller than the 
bottleneck queue size.  When max_ssthresh is smaller than the bottleneck 
queue, (limited) slow start will not overflow it until cwnd has fully 
ramped up to the appropriate size.

   -John